# Disable screen sleep - so the screen stays on.
# Derived from http://www.niteoweb.com/blog/raspberry-pi-boot-to-browser
#
# Recipe:: lightdm_config
# Cookbook:: raspberrypi_kiosk
# Author:: Greg Albrecht <gba@onbeep.com>
# License:: Apache License, Version 2.0
# Copyright:: Copyright 2014 OnBeep, Inc.
# Source:: https://github.com/onbeep-cookbooks/raspberrypi_kiosk
#


chef_gem 'inifile'

require 'inifile'


LIGHTDM_CONF_FILE = '/etc/lightdm/lightdm.conf'
CONF_STANZA = 'SeatDefaults'
CONFIG_PARAM = 'xserver-command'
CONFIG_VALUE = 'X -s 0 dpms'


lightdm_conf = IniFile.load(LIGHTDM_CONF_FILE)

lightdm_conf[CONF_STANZA][CONFIG_PARAM] = CONFIG_VALUE
lightdm_conf.write
